| Gtk2Hs | Contents | Index

Graphics.UI.Gtk.Gdk.Cursor

Portability | portable (depends on GHC)
Stability | provisional
Maintainer | gtk2hs-users@lists.sourceforge.net

Description
Cursors | Standard and pixmap cursors.
Synopsis

newtype Cursor = Cursor (ForeignPtr Cursor)
cursorNewFromPixmap :: Pixmap -> Pixmap -> Color -> Color -> Int -> Int -> IO Cursor

Documentation
newtype Cursor

Constructors

Cursor (ForeignPtr Cursor) |

cursorNewFromPixmap

:: Pixmap | `source` - the pixmap specifying the cursor.
-> Pixmap | `mask` - the pixmap specifying the mask, which must be the same size as source.
-> Color | `fg` - the foreground color, used for the bits in the source which are 1. The color does not have to be allocated first.
-> Color | `bg` - the background color, used for the bits in the source which are 0. The color does not have to be allocated first.
-> Int | `x` - the horizontal offset of the 'hotspot' of the cursor.
-> Int | `y` - the vertical offset of the 'hotspot' of the cursor.
-> IO Cursor |
Creates a new cursor from a given pixmap and mask. Both the pixmap and mask must have a depth of 1 (i.e. each pixel has only 2 values - on or off). The standard cursor size is 16 by 16 pixels.

Produced by Haddock version 2.4.2